<?php
/*
Plugin Name: Random Posts, Mp3 Player + ShareButton
Plugin URI: http://www.intert3chmedia.net/2012/09/floating-random-post-mp3-player-addthis.html
Description: This plugin has 3 powerful features, scrolling random posts (with control buttons) that floats at the top or botom of your page to help You increase page visits, let your visitors easily share your blog contents to popular social media networks, as well as entertains your visitors with mp3 songs of your choice. You can also customize the look of the widget to match your templates.
Author: D-Artchitext
Author URI: http://www.finderonly.net
Version: 1.0
*/ 

/*  Copyright 2012 Dean Adjie Minwarie (email : az.elminwarie@gmail.com)
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
//DEFINE BASE PLUGIN URL
define('RPSBMP3_URL', WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ) );

// SET DEFAULT OPTION
register_activation_hook(__FILE__,'rpsbMp3_option');

// KEEP YOUR DATABASE CLEAN WHEN DISABLED
register_deactivation_hook( __FILE__, 'rpsbMp3_option_remove' );

function rpsbMp3_option() {
	if (function_exists('current_user_can')) {
		if (!current_user_can('manage_options')) return;
	} else {
		global $user_level;
		get_currentuserinfo();
		if ($user_level < 8) return;
	}
	if (function_exists('add_options_page')) {
		add_options_page(__('Random Featured Posts, Mp3 Player + Social Button'), __('Random Posts, Mp3 Player + ShareButton'), 1, __FILE__, 'rpsbMp3_setting_page');
	}
}

function rpsbMp3_option_remove() {
/* Delete the database field */
delete_option('random_post_mp3');
}

//Default Setting
add_action('admin_menu', 'rpsbMp3_option');
$default_setting['position'] = 'top';
$default_setting['show_Rpost_mp3'] = '';
$default_setting['post_category'] = '';
$default_setting['target_url'] = 'http://example.com/music.mp3';
$default_setting['num_posts'] = '1';
add_option('random_post_mp3', $default_setting);

function rpsbMp3_setting_page(){
	global $wpdb;
	if (isset($_POST['update_options'])) {
		$options['show_Rpost_mp3'] = trim($_POST['show_Rpost_mp3'],'{}');
        $options['target_url'] = trim($_POST['target_url'],'{}');
		$options['num_posts'] = trim($_POST['num_posts'],'{}');
		$options['position'] = trim($_POST['position'],'{}');
		//clean unnecessary function, thanks for Scott @ MyDollarPlan.com for the inspiring script!
		$post_category = $_POST['post_category'];
            if (empty($post_category)) {
			$cats = "";
		} else {
			$cats = implode(" ", $post_category);
		}
		$options['post_category'] = $cats;

		update_option('random_post_mp3', $options);
		echo '<div class="updated"><p>' . __('Options saved') . '</p></div>';
	} else {
		$options = get_option('random_post_mp3');

		$post_category = explode(" ",$options['post_category']);
	}
	?>
	<!--KEEP THIS PLUGIN LOOK NEAT!!!-->
	<style type="text/css" media="screen">
#DVS_admin_env {
	margin:0 auto;
}
#DVS_content { 
	width:100%; margin:0 0 25px 0;
}
.dvs_word{
    margin:-5px 3px 3px 0px;
    padding:3px 3px 3px 10px !important;
    border:1px solid #dddddd;
	box-shadow:4px 5px 4px #eee;-moz-box-shadow:4px 5px 4px #eee;-webkit-box-shadow:4px 5px 4px #eee;background-image:-webkit-gradient(linear, left top, left bottom, color-stop(.6, white), color-stop(1, #9AC7EB) );
	border-radius: 5px;
    -moz-border-radius:5px;
    -webkit-border-radius:5px}
.hint{
	font-size:12px;
	margin:2px 10px 5px 0;
	font-style:italic;
	font-weight:normal;
}
.penting{color:red;}
#DVS_content .menu_left {
	width:51%;
}
#DVS_content .menu_center {
	float:left;
	width:20%;
}
#DVS_content .menu_right{
	float:right;
	padding-left:-10px;
	margin-right:5px;
	width:27%;
}
.menu_right_title{
	line-height:1.5em;
	font-family:Segoe UI;
    text-transform:uppercase;
    margin: 0 3px 5px 0px;
    padding: 3px 3px 3px 30px !important;
    border: 1px solid #dddddd;
	box-shadow:4px 5px 4px #eee;-moz-box-shadow:4px 5px 4px #eee;-webkit-box-shadow:4px 5px 4px #eee;background-image:-webkit-gradient(linear, left top, left bottom, color-stop(.2, white), color-stop(1, #9AC7EB) );
	border-radius: 5px;
    -moz-border-radius:5px;
    -webkit-border-radius:5px
}
div.feedburnerFeedBlock ul li {
    box-shadow:4px 5px 4px #eee;-moz-box-shadow:4px 5px 4px #eee;-webkit-box-shadow:4px 5px 4px #eee;background-image:-webkit-gradient(linear,right top,left top,color-stop(0.01,rgba(0,0,0,.1)),color-stop(0.07,rgba(0,0,0,0)));margin-bottom:10px;line-height:1.5em;
    list-style-type: none;
	font-size:12px;
	font-family:Segoe UI;
    margin: 0 5px 5px 0px;
    padding: 5px 5px 5px 10px !important;
    border: 1px solid #dddddd;
	text-decoration:none;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
}
.feedburnerFeedBlock a{text-decoration:none;}
div.feedburnerFeedBlock ul li:hover {
    box-shadow:4px 5px 4px #ddd;-moz-box-shadow:4px 5px 4px #ddd;-webkit-box-shadow:4px 5px 4px #ddd;
    border: 1px dotted #848484;
	text-decoration:none;
    -moz-border-radius: 8px;
    -webkit-border-radius: 8px;
}
div.feedburnerFeedBlock ul li a:hover {
    text-decoration:none;}
div  #creditfooter {
    display:none;
}
</style>
	<!-- SETTING ICON -->
	<?php screen_icon(); ?>
<div id="DVS_admin_env">
	<div id="DVS_content">
			<h2><?php echo __('Random Featured Post Mp3 Player Setting'); ?></h2><br />
	
		<div class="menu_left">
		<form method="post" action="">
            <table align="left">
                <tr><th align="left"><input type="checkbox" name="show_Rpost_mp3" value="show" <?php if ($options['show_Rpost_mp3'] == 'show') echo 'checked="checked"'; ?> />&nbsp;
                <?php _e('Display Random Featured Post') ?><p class="hint">Check to activate</p></th></tr>

            <tr><td><b><?php _e('Number of posts to show: ') ?></b>
            <input type="text" name="num_posts" size="2" value="<?php if (is_numeric($options['num_posts'])) { echo $options['num_posts']; } else { echo '1'; } ?>" /><p class="hint">Maximum 11 posts <b style="cursor:help"title="I'll fix this later, contact me if you'll help or visit my site for update">?</b></p></td></tr>
			<tr><td><b><?php _e('Widget Placement: ') ?></b><input type="text" name="position" size="9" value="<?php echo $options['position']; ?>" />
			<p class="hint">Use <span class="penting">top</span> or <span class="penting">bottom</span></span> only (No Case sensitive)</p></td></tr>
						
		    <tr><td><b><?php _e('MP3 URL to Play: ') ?></b><input class="widefat" type="text" name="target_url" value="<?php echo $options['target_url']; ?>" /><br />
			<p class="hint">You can put a link to any Mp3 file anywhere in the web. Make sure the URL entered correctly, it is wiser to know the file has <span class="penting">resume capability</span> from high bandwidth sites, so your MP3s will plays smoothly. Try to find it on <a href="http://mp3skull.com/" target="_blank">Mp3Skull</a>.<br/>
			<span class="penting">Tips:</span> Ever tried to multiply your affiliate or find a new marketing strategy? Well, this plugin has a powerful feature to do so. You can deliver your persuassive demo or presentation into an Mp3 file and let this plugin works for You.
			</p></td></tr>
			
			<tr><td><br /><input type="submit" name="update_options" value="<?php _e('Save Changes') ?>"  style="font-weight:bold;" /></td></tr>
			
			<tr><td><p><b>Note:</b> since this is my first plugin, I'm still developing it to add more features. The next option to be added are <span class="penting"><u>background color</u></span> so you can customize it to match your template, <span class="penting"><u>AddThis track option</u></span>, the "fixed" green background and more. For more information and to get the latest version of this plugin, please visit its <a href="http://www.intert3chmedia.net/2012/09/floating-random-post-mp3-player-addthis.html"target="_blank">official page</a> or <a href="http://blog.finderonly.net/2012/plugin-random-post-mp3-player-share-button-in-one.html" target="_blank" title="Indonesian or Malay user only">this page</a></p></td></tr>
		
		
                </table>
		</div>
			<div class="menu_center">
			<table border="0" align="right"style="float:right">
<?php
   echo '<tr><th>Show</th><th align="left">Category</th></tr>';
   $categories = mysql_query("
	SELECT t.term_id, t.name
	FROM $wpdb->terms t
	LEFT JOIN $wpdb->term_taxonomy tax ON tax.term_id = t.term_id
	WHERE tax.taxonomy = 'category'
	ORDER BY t.name
	", $wpdb->dbh) or die(mysql_error().' on line: '.__LINE__);
	
   if ($categories && mysql_num_rows($categories) > 0) {
	while ($category = mysql_fetch_object($categories)) {
		echo '<tr><td align="center"><input type="checkbox" name="post_category[ ]" value="'.$category->term_id.'"';
		if (sizeof($post_category) > 0) if (in_array(strval($category->term_id),$post_category)) echo ' CHECKED';
            echo '></td><td>'.$category->name.'&nbsp;</td></tr>';  
	}
   }	
?>
			</table>
		
			</div>
		</form>		<div class="menu_right">
		<!-- FACEBOOK FAN PAGE -->
		<div class="menu_right_title">KEEP IN TOUCH WITH Me</div>
		<iframe src="http://www.facebook.com/plugins/like.php?href=http%3A%2F%2Ffacebook.com%2FD.Artchitext&amp;layout=standard&amp;show_faces=false&amp;width=220&amp;action=like&amp;font=lucida+grande&amp;colorscheme=light&amp;height=31" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:220px; height:31px;" allowTransparency="true"></iframe><br/>
		<a href="http://www.twitter.com/dlooperz" target="_blank"><img src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ) ; ?>/img/twitter.png" width="51" height="47" alt="Follow me on twitter" title="Follow Me on Twitter"></a> 
		<a href="mailto:az.elminwarie@gmail.com"><img src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ) ; ?>/img/gmail.png" width="46" height="45" alt="Email Me"title="Email Me"></a>
		<a href="http://www.facebook.com/D.Artchitext"><img src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ) ; ?>/img/facebook.png" width="46" height="46" alt="Facebook Fan Page" title="Like us and get updates to your wall"></a>
		<a href="https://plus.google.com/107035667514865863477"><img src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ) ; ?>/img/g+.png" width="46" height="46" alt="Google +" title="Join my Circle"></a>
				<div class="menu_right_title">DONATION</div>
				<!-- DONATIONS -->
				<p class="dvs_word">I have spent hundreds of hours creating this <font color="red">free plugin</font>. If it satified You and pleased your visitors, please consider making a donation. $20, $10, $5, or $3, any small amount will be much appreciated, Thank you!
				<form class="dvs_word" action="https://www.paypal.com/cgi-bin/webscr" method="post">
	<input type="hidden" name="cmd" value="_s-xclick">
	<input type="hidden" name="hosted_button_id" value="PWTB4H5VHZUWE">
	<input type="image" src="https://www.paypalobjects.com/en_US/GB/i/btn/btn_donateCC_LG.gif" border="0" width="160" height="47" name="submit" alt="Donate via PayPal to support Plugin development">
	</form></p><br/>
				<!-- SITE FEEDS-->
				<div class="menu_right_title">OUR LATEST POSTS</div>
				<script language="JavaScript" src="http://feeds.feedburner.com/internet-multimedia-tips?format=sigpro&nItems=3&openLinks=new&displayDate=false&displayEnclosures=true" type="text/javascript"></script>
				<script language="JavaScript" src="http://feeds.feedburner.com/d-artchitextweblog?format=sigpro&nItems=3&openLinks=new" type="text/javascript"></script><br/>
				<!-- PROJECT INFO -->
				<div class="menu_right_title">info</div>
				<p class="dvs_word"><b><font color="red">Still in development</font></b><br/>
I'm actively listening to your feedback and fixing problems, any suggestions are kindly welcome. Please let me know if you like the plugin too! And don't forget to give good rating at wordpress.org.<br/><br/>
<b>More by this author</b>
<a href="http://www.intert3chmedia.net/"target="_blank">www.intert3chmedia.net</a><br>
<a href="http://www.finderonly.net/"target="_blank">www.finderonly.net</a></p>
				</div>
		
	</div>
	<div class="postbox-container" style="width: 98%;">
  <div class="metabox-holder">
       <div id="copyright" class="postbox">
          <div class="menu_right_title" style="text-align:center">
		  <p>Copyright &copy; 2011 - <script type="text/javascript" language="JavaScript">var today = new Date();document.write(today.getFullYear());</script> by D-Artchitext on DVS (Damn's Virtual Studio).<br/>Feel free to <a href="mailto:az.elminwarie@gmail.com">contact me</a> if you need help with the plugin.</p> </div>
     </div>
  </div>
</div>
</div>
<?php	
}
function show_Rpost_mp3_post($PrePosts3 = '', $FeaturedPost = '', $AlwaysShow = false, $categoryID = 0, $NumberOfPosts = 0) {
   global $wpdb;
   $options = get_option('random_post_mp3');
   if (!$AlwaysShow) { if ($options['show_Rpost_mp3'] != 'show') return; }
   if ($categoryID == 0) {
	$post_category = explode(" ",$options['post_category']);
      if (sizeof($post_category) == 0) return;
   } else {
      if (!is_numeric($categoryID)) return;
      $post_category = explode(" ",$categoryID);
   }
   $sqlcat = "( ";
   $count = 0;
   foreach ($post_category as $cat) {
      if ($count > 0) $sqlcat = $sqlcat." OR ";
      $sqlcat = $sqlcat."$wpdb->term_taxonomy.term_id = ".$cat;
      $count = $count + 1;
   }
   $sqlcat = $sqlcat." )";
   if (!is_numeric($options['num_posts'])) {
	$num_posts = '1';
   } else {
      $num_posts = $options['num_posts'];
   }
   if ($NumberOfPosts > 0) $num_posts = $NumberOfPosts;

	echo"<div id='DVS_scroll_env' align='center'><div id='DVS_content'>";
	echo"<div class='social_share_dd'><!-- AddThis Button BEGIN #1-->
	<div class='addthis_toolbox addthis_default_style '>
	<a class='addthis_button_compact'></a>
	<a class='addthis_counter addthis_bubble_style'></a>
	<a class='addthis_button_preferred_3'></a>
	<a class='addthis_button_preferred_11'></a>
	<a class='addthis_button_preferred_12'></a>
	<a class='addthis_button_google_plusone' g:plusone:size='small'/></a>
	<a class='addthis_button_facebook_like' fb:like:layout='button_count'style='margin-left:-21px'></a>
	</div>
	<script type='text/javascript' src='http://s7.addthis.com/js/300/addthis_widget.js'></script>
	<!-- AddThis Button END -->
	</div>";
	echo"<!-- Random Post Start #2 -->
	<div class='dvs_random_posts'>
	<div class='randpostscroll' id='recommend'>
	<div class='boxBody'><div id='scrollRow'>
	<a class='goLeft' id='slide_left' href='javascript:void(0);'>
	<img src='",RPSBMP3_URL."/img/leftgree.png'width='13' height='17' style='padding-top:3px' class=''/>
	<a class='goRight' id='slide_right' href='javascript:void(0);'>
	<img src='",RPSBMP3_URL."/img/rightgree.png'width='13' height='17' style='padding-top:3px' class=''/>
	<div id='gscroll'><div id='gsub'><ul id='holder1'>";
   $target_url = $options['target_url'];
   if (empty($target_url)) $target_url = "http://example.com/music.mp3";
   $position = $options['position'];
   if (empty($position)) $position = "top";
   $posts = mysql_query("
		SELECT * FROM $wpdb->posts
		LEFT JOIN $wpdb->term_relationships ON
		($wpdb->posts.ID = $wpdb->term_relationships.object_id)
		LEFT JOIN $wpdb->term_taxonomy ON
		($wpdb->term_relationships.term_taxonomy_id = $wpdb->term_taxonomy.term_taxonomy_id)
		WHERE $wpdb->posts.post_status = 'publish'".$sqlposts."
		AND $wpdb->term_taxonomy.taxonomy = 'category'
		AND ".$sqlcat." ORDER BY RAND()
		LIMIT ".$num_posts, $wpdb->dbh) or die(mysql_error().' on line: '.__LINE__);	
   if ($posts && mysql_num_rows($posts) > 0) {
	while ($thepost = mysql_fetch_object($posts)) {
		$myID = $thepost->ID;
   		//if ($myID == 0) return;
		$thepost = get_post($myID);
		setup_postdata($thepost);
   		//echo $PrePosts3."\n<div class=\"featuredpost\">\n";
   		//echo "<h3>".$target_url."</h3>\n";
   		echo "<li><div class='slidercontent'><a href=\"";
   		echo get_permalink($myID);
   		echo "\" title=\""; /*kurung buka*/
   		//UNCOMMENT THESE LINES TO SHOW POST EXCERPT SHOWN ON TOOLTIP/ OR TITLE
		//BY DEFAULT IT'LL SHOW NORMAL TITLE AS LINK, BUT SOME TEMPLATES MAY NOT SUPPORT THIS
		//if (empty($thepost->post_excerpt)) {
	    //		the_excerpt();
		//} else {
		//echo apply_filters('the_excerpt', $thepost->post_excerpt);
		//}
		// UNTIL HERE FOR TITLE BUG
		echo "\">";
		echo apply_filters('the_title', $thepost->post_title);
		echo "</a></div>";
   		echo "</li>".$FeaturedPost."\n";		
	}   
}  
	echo "</ul><ul id='holder2'></ul></div></div></div></div></div></div><div><script type='text/javascript' src='",RPSBMP3_URL."/js/scrollercontroll.js'></script></div>";
	echo"<!-- MP3 PLAY #3 -->
	<div class='dvs_mp3_player'> 
	<object type='application/x-shockwave-flash' name='ap_player' style='outline: none' data='",RPSBMP3_URL."/player/player.swf?ver=2.0.4.1' width='230' height='22' id='ap_player'><param name='bgcolor' value='#FFFFFF'><param name='wmode' value='transparent'><param name='menu' value='false'><param name='flashvars' value='animation=yes&amp;initialvolume=60&amp;remaining=no&amp;noinfo=no&amp;buffer=5&amp;checkpolicy=no&amp;rtl=no&amp;bg=1e7cba&amp;text=333333&amp;leftbg=CDDFF3&amp;lefticon=4016b3&amp;volslider=8a8282&amp;voltrack=FFFFFF&amp;rightbg=22a6bd&amp;rightbghover=17aeb3&amp;righticon=333333&amp;righticonhover=FFFFFF&amp;track=FFFFFF&amp;loader=00EE00&amp;border=CCCCCC&amp;tracker=23deeb&amp;skip=050505&amp;soundFile=$target_url'></object>
	</div>";
	echo"<!-- Go to TOP #4 -->
	<div class='go_up'> 
	<a title='Go to Top' href='#' onclick='MGJS.goTop();return false;'>
	<img class='go_up' border='0' width='19' height='18' src='",RPSBMP3_URL."/img/up2.png' alt='top' /></a></div>";
	/**/
	echo"<!-- Button to Close Banner #5 -->
	<div class='tootoop'> 
	<a href='#' onclick='document.getElementById(&quot;DVS_scroll_env&quot;).style.display=&quot;none&quot;;return false;'title='Close'> 
	<img class='tootoop' border='0' width='13' height='13' src='",RPSBMP3_URL."/img/close.png' alt='x' /></a>
	</div>";
	echo"</div></div>";
	include ('webvsmobile.php');
}
/*default minified css to head with no white spaces*/
function dvs_RPSBMP_css() {
	echo '<link rel="stylesheet" type="text/css" href="',RPSBMP3_URL.'/style.css.php"/>'."\n";
}
add_action('wp_head', 'dvs_RPSBMP_css',1);
add_action('wp_footer', 'show_Rpost_mp3_post');
?>